summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2016-03-03 14:19:10 -0500
committerColin Walters <walters@verbum.org>2016-03-03 14:19:10 -0500
commit0174224a2df453233d0d190e804519e554001ed3 (patch)
tree896bc6dcf15153babf9534162442009e5d88df19
parentd49718a6198eae6597595887b5d1522ae5424451 (diff)
downloadostree-0174224a2df453233d0d190e804519e554001ed3.tar.gz
tests: Convert two more exit 77 instances into TAP-compatible SKIP
Followup to https://github.com/GNOME/ostree/pull/194
-rwxr-xr-xtests/test-pull-corruption.sh8
-rwxr-xr-xtests/test-rofiles-fuse.sh6
2 files changed, 9 insertions, 5 deletions
diff --git a/tests/test-pull-corruption.sh b/tests/test-pull-corruption.sh
index 1df31943..f6d1605f 100755
--- a/tests/test-pull-corruption.sh
+++ b/tests/test-pull-corruption.sh
@@ -19,6 +19,11 @@
set -euo pipefail
+# If gjs is not installed, skip the test
+if ! gjs --help >/dev/null 2>&1; then
+ echo "1..0 # SKIP no gjs"
+fi
+
. $(dirname $0)/libtest.sh
setup_fake_remote_repo1 "archive-z2"
@@ -47,9 +52,6 @@ do_corrupt_pull_test() {
fi
}
-# If gjs is not installed, skip the test
-gjs --help >/dev/null 2>&1 || exit 77
-
# FIXME - ignore errors here since gjs in RHEL7 has the final
# unrooting bug
gjs $(dirname $0)/corrupt-repo-ref.js ${repopath} main || true
diff --git a/tests/test-rofiles-fuse.sh b/tests/test-rofiles-fuse.sh
index fef74153..20095710 100755
--- a/tests/test-rofiles-fuse.sh
+++ b/tests/test-rofiles-fuse.sh
@@ -19,12 +19,14 @@
set -euo pipefail
-echo "1..5"
+if ! fusermount --version >/dev/null 2>&1; then
+ echo "1..0 # SKIP no fusermount"
+fi
. $(dirname $0)/libtest.sh
setup_test_repository "bare-user"
-fusermount --version >/dev/null 2>&1 || exit 77
+echo "1..5"
mkdir mnt